% BW_plot.m
% Laurent Montesi, 5-13-2001
% 
% Plot initial configuration of mesh
%

%Graph defaults
Colord=[1,0,0;0,0,1;0,1,0;...
      1,0,1;0,1,1;1,1,0;...
      1,0,0.5;0,0.5,1;0.5,1,0;...
      1,0.5,0;0.5,0,1;0,1,0.5;...
      0.75,0.25,0.5;0.25,0.5,0.75;0.5,0.75,0.25;...
      0.75,0.5,0.25;0.5,0.25,0.75;0.25,0.75,0.5];
ncol=size(Colord,1);
set (0,'DefaultAxesColor','none',...
   'DefaultAxesLineWidth',1,...
   'DefaultAxesFontSize',12,...
   'DefaultAxesBox','off',...
   'DefaultPatchLineWidth',0.25,...
   'DefaultAxesColorOrder',...
   Colord);

colormap gray
G=colormap*0.8+0.1;
colormap(G);

tplot=input ('Saved steps to plot in BW format');
ntp=max(size(tplot));
figmin=input ('Minimum figure number');
for itp=1:ntp;
   it=tplot(itp);
   %for it=1:size(t,2);
   %figure (20+it)
   figure(itp+figmin-1);
   disp(sprintf('plot %i of %i: Working on time step %i, t=%g',itp,ntp,it,t(it)));
   clf
   orient landscape
   colormap(G);
   
   subplot 311
   strain_plot
   
   subplot 312
   %dx=0.75*xmax/nx;
   stress_plot
   
   subplot 313
   grid_plot
end
