% convert.m
% Laurent Montesi, 5-13-2001
% 
% convert LAYER output to matlab files
%

% Filename business
ii=sqrt(-1);
%should ask root filename
%root='SC08_12';
root=input ('Root of filename? ')
disp (['Root of filenames: ',root]);

outid=fopen([root,'.out'],'r');
if outid==-1
   disp(['Error opening file ',root,'.out']);
   break
end

matout=fopen([root,'.mat'],'w');


%from .out file
% skip filename lines
fgets(outid);
% Mesh line
A=fscanf(outid,'%*s %i');
nx=A(1);
ny=A(2);
nem=nx*ny;
A=fscanf(outid,'%*s %d');
xmax=A(1);
ymax=A(2);
fgets(outid);
%skip perturbation, element type line
fgets(outid);
fgets(outid);
% node line
A=fscanf(outid,'%*s %i %i');
nxx1=A(1);
nyy1=A(2);
fgets(outid);
% skip nem check and numerical parameters
for i=1:8
   fgets(outid);
end
% dt and gravity parameters
dt=fscanf(outid,'%g',1);
grav=fscanf(outid,'%g',1);
rhog=fscanf(outid,'%g',1);
fgets(outid);
%initial temperature, density, and viscosity
A=fscanf(outid,'%*i %g %g %g',[3,nem]);
fgets(outid);
%T=reshape(A(1,:),ny,nx)-273;
%rho=reshape(A(2,:),ny,nx);
%nu0=reshape(A(3,:),ny,nx);
T=A(1,:)-273;
rho=A(2,:);
nu0=A(3,:);
% boundary conditions
fgets(outid);
nbdy=fscanf(outid,'%*s%*s%*s%*s%*s%*s = %i',1);
fgets(outid);
fgets(outid);
A=fscanf(outid,'%*i %g %g',[2,nbdy]);
ibdy=A(1,:);
vbdy=A(2,:);
fgets(outid);

it=0;
fgets(outid);
   fgets(outid);
   fgets(outid);
endnow=feof(outid);
while ~endnow
   it=it+1;
   t(it)=fscanf(outid,'%*s%*s%*s%*s%*s %g',1);
   fgets(outid);
   disp(sprintf('Reading data from time step %i, t=%g',it,t(it)));
   A=fscanf(outid,'%*i %g%g%g%g%g%g%g%g%g%g%g%g%g',[13,nem]);
   sxx([1:nem],it)=A(1,:)';
   syy([1:nem],it)=A(2,:)';
   sxy([1:nem],it)=A(3,:)';

   flag([1:nem],it)=A(4,:)';
   for inod=1:4
      xn([1:nem],inod,it)=A(4+inod*2-1,:)';
      yn([1:nem],inod,it)=A(4+inod*2,:)';
   end
   str([1:nem],it)=A(13,:)';
   fgets(outid);
   endnow=feof(outid);
end
sxx=sxx.*((-1).^flag);
syy=syy.*((-1).^flag);
sxy=sxy.*((-1).^flag);
theta=real(log(sxx+ii*sxy)/ii)*90/pi;
sigma=sqrt(sxx.^2+sxy.^2);
xc=(xn(:,1,:)+xn(:,2,:)+xn(:,3,:)+xn(:,4,:))/4;
yc=(yn(:,1,:)+yn(:,2,:)+yn(:,3,:)+yn(:,4,:))/4;

%closing business
fclose (outid);
fclose (matout);