% init_plot.m
% Laurent Montesi, 5-13-2001
% 
% Plot initial configuration of mesh
%

%Graph defaults
Colord=[1,0,0;0,0,1;0,1,0;...
      1,0,1;0,1,1;1,1,0;...
      1,0,0.5;0,0.5,1;0.5,1,0;...
      1,0.5,0;0.5,0,1;0,1,0.5;...
      0.75,0.25,0.5;0.25,0.5,0.75;0.5,0.75,0.25;...
      0.75,0.5,0.25;0.5,0.25,0.75;0.25,0.75,0.5];
ncol=size(Colord,1);
set (0,'DefaultAxesColor','none',...
   'DefaultAxesLineWidth',1,...
   'DefaultAxesFontSize',12,...
   'DefaultAxesBox','off',...
   'DefaultPatchLineWidth',1,...
   'DefaultAxesColorOrder',...
   Colord);
load pale_cmap;

for it=1:size(t,2);
   figure (it)
   disp(sprintf('Working on time step %i',it));
   clf
   orient tall
   colormap(mappale)
   title (sprintf('%s, timestep %i, t=%g',root,it,t(it)));
   subplot 511
   disp('Plot temperature')
   hold on
   %for ie=1:nem
   %   fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
   %      [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
   %      T(ie),'edgecolor','none')
   %end
   contour(reshape(xc(:,1,it),[ny,nx]),...
      reshape(yc(:,1,it),[ny,nx]),...
      reshape(T,[ny,nx]),...
      [0:100:1500])
   plot([xn(ny*[1:nx],4,it),xn(ny*[1:nx],3,it)],...
      [yn(ny*[1:nx],4,it),yn(ny*[1:nx],3,it)],...
      'k','linewidth',2)
   title('Temperature')
   axis equal
   axis tight
   set(gca,'ydir','reverse')
   colorbar
   
   %subplot 322
   %disp('plot viscosity')
   %hold on
   %for ie=1:nem
   %   fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
   %      [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
   %      nu0(ie),'edgecolor','none')
   %end
   %plot([xn(ny*[1:nx],1,it),xn(ny*[1:nx],2,it)],...
   %   [yn(ny*[1:nx],1,it),yn(ny*[1:nx],2,it)],...
   %   'k','linewidth',2)  
   %title ('\eta_0')
   %axis equal
   %axis tight
   %colorbar
   %set(gca,'ydir','reverse')
   
   subplot 512
   disp('plot stress intensity')
   hold on
   for ie=1:nem
      %fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
      %   [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
      %   sign(sxx(ie)),'edgecolor','none')
      fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
         [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
         log10(sigma(ie)),'edgecolor','none')
   end
 plot([xn(ny*[1:nx],4,it),xn(ny*[1:nx],3,it)],...
      [yn(ny*[1:nx],4,it),yn(ny*[1:nx],3,it)],...
      'k','linewidth',2)
%title ('sigma_{xx}')
   title ('log_{10}(stress)')
   axis equal
   axis tight
   colorbar
   set(gca,'ydir','reverse')
   
   subplot 513
   disp('plot stress direction')
   hold on
   dx=3*xmax/nx;
   %for ie=1:nem
      %fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
      %   [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
      %   sign(sxy(ie)),'edgecolor','none')
      %fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
      %   [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
      %   theta(ie),'edgecolor','none')
   %end
   for ix=1:4:nx
      for iy=1:ny
         ie=ny*(ix-1)+iy;
         plot (xc(ie,1,it)+dx*cos(theta(ie,it))*[1,-1]/2,...
            yc(ie,1,it)+dx*sin(theta(ie,it))*[1,-1]/2,...
            'k');
      end
   end
   plot([xn(ny*[1:nx],4,it),xn(ny*[1:nx],3,it)],...
      [yn(ny*[1:nx],4,it),yn(ny*[1:nx],3,it)],...
      'k','linewidth',2)
   title ('stress direction')
   axis equal
   axis tight
   colorbar
   set(gca,'ydir','reverse')
      
   subplot 514
   disp('plot failure zone');
   hold on
   for ie=1:nem
      if flag(ie)
         fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
            [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
            [1,1,1]*0.5,'edgecolor','none')
      end
   end
   contour(reshape(xc(:,1,it),[ny,nx]),...
      reshape(yc(:,1,it),[ny,nx]),...
      reshape(log10(sigma(:,it)),[ny,nx]),...
      [floor(min(log10(sigma(:,it)))):0.1:ceil(max(log10(sigma(:,it))))])
   plot([xn(ny*[1:nx],4,it),xn(ny*[1:nx],3,it)],...
      [yn(ny*[1:nx],4,it),yn(ny*[1:nx],3,it)],...
      'k','linewidth',2)
   title ('Failure zone over log_{10}(\sigma)')
   axis equal
   axis tight
   set(gca,'ydir','reverse')
   colorbar

   
   subplot 515
   disp ('plot strain rate')
   hold on
   for ie=1:nem
      fill([xn(ie,1,it),xn(ie,2,it),xn(ie,3,it),xn(ie,4,it),xn(ie,1,it),],...
         [yn(ie,1,it),yn(ie,2,it),yn(ie,3,it),yn(ie,4,it),yn(ie,1,it),],...
         log10(str(ie)),'edgecolor','none')
   end
   plot([xn(ny*[1:nx],4,it),xn(ny*[1:nx],3,it)],...
      [yn(ny*[1:nx],4,it),yn(ny*[1:nx],3,it)],...
      'k','linewidth',2) 
   title('log_{10}(strain rate)')
   axis equal
   axis tight
   set(gca,'ydir','reverse','Clim',[-2,2])
   colorbar
end