% surf_plot.m
% Laurent Montesi, 5-14-2001
% 
% Plot analysis of surface data
%

%Graph defaults
Colord=[1,0,0;0,0,1;0,1,0;...
      1,0,1;0,1,1;1,1,0;...
      1,0,0.5;0,0.5,1;0.5,1,0;...
      1,0.5,0;0.5,0,1;0,1,0.5;...
      0.75,0.25,0.5;0.25,0.5,0.75;0.5,0.75,0.25;...
      0.75,0.5,0.25;0.5,0.25,0.75;0.25,0.75,0.5];
ncol=size(Colord,1);
set (0,'DefaultAxesColor','none',...
   'DefaultAxesLineWidth',1,...
   'DefaultAxesFontSize',12,...
   'DefaultAxesBox','off',...
   'DefaultPatchLineWidth',1,...
   'DefaultAxesColorOrder',...
   Colord);

for it=1:size(t,2);
   xsurf=[xn(ny*[1:nx],4,it);xn(ny*nx,3,it)];
   ysurf=[yn(ny*[1:nx],4,it);yn(ny*nx,3,it)];
   nxint=2^(ceil(log(nx)/log(2))+2);
   delxint=xsurf(nx+1)-xsurf(1);
   lint=delxint./[0:nxint/2];
   xint=xsurf(1)+[0:nxint-1]/(nxint-1)*delxint;

   
   figure (it+10)
   disp(sprintf('Working on time step %i',it));
   clf
   orient tall
   title (sprintf('%s, timestep %i, t=%g',root,it,t(it)));
   subplot 411
   plot([xn(ny*[1:nx],4,it),xn(ny*[1:nx],3,it)],...
      [yn(ny*[1:nx],4,it),yn(ny*[1:nx],3,it)],...
       'k','linewidth',1)
   title('surface topography')
   axis equal
   set(gca,'ydir','reverse')
   
   subplot 412
   plot(xc([1:nx]*ny,1,it),str([1:nx]*ny,it),'k')
   title('Surface strain rate')
   
   yint=interp1(xsurf,ysurf,xint);
   Y=fft(yint,nxint);
   Py=Y.*conj(Y)/nxint;
   subplot 413
   semilogy(lint(2:nxint/2+1),Py(2:nxint/2+1),'k');
   ylim([1,1000])
   title('Spectral power of topography')
   
   delcint=xc(ny*nx,1,it)-xc(ny,1,it);
   lcint=delcint./[0:nxint/2];
   xcint=xc(ny,1,it)+[0:nxint-1]/(nxint-1)*delcint;
   eint=interp1(xc([1:nx]*ny,1,it),str([1:nx]*ny,it),xcint);
   E=fft(eint,nxint);
   Pe=E.*conj(E)/nxint;
   subplot 414
   semilogy(lcint(2:nxint/2+1),Pe(2:nxint/2+1),'k');
   ylim([1,1000])
   title('Spectral power of strain rate')
   
end